org.apache.flume.client.avro

## Class ReliableSpoolingFileEventReader.Builder

- java.lang.Object
- - org.apache.flume.client.avro.ReliableSpoolingFileEventReader.Builder

- Enclosing class:
    ReliableSpoolingFileEventReader

      public static class ReliableSpoolingFileEventReader.Builder
      extends Object

  Special builder class for ReliableSpoolingFileEventReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReliableSpoolingFileEventReader.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReliableSpoolingFileEventReader.Builder` | `annotateBaseName(Boolean annotateBaseName)`
    `ReliableSpoolingFileEventReader.Builder` | `annotateFileName(Boolean annotateFileName)`
    `ReliableSpoolingFileEventReader.Builder` | `baseNameHeader(String baseNameHeader)`
    `ReliableSpoolingFileEventReader` | `build()`
    `ReliableSpoolingFileEventReader.Builder` | `completedSuffix(String completedSuffix)`
    `ReliableSpoolingFileEventReader.Builder` | `consumeOrder(SpoolDirectorySourceConfigurationConstants.ConsumeOrder consumeOrder)`
    `ReliableSpoolingFileEventReader.Builder` | `decodeErrorPolicy(DecodeErrorPolicy decodeErrorPolicy)`
    `ReliableSpoolingFileEventReader.Builder` | `deletePolicy(String deletePolicy)`
    `ReliableSpoolingFileEventReader.Builder` | `deserializerContext(Context deserializerContext)`
    `ReliableSpoolingFileEventReader.Builder` | `deserializerType(String deserializerType)`
    `ReliableSpoolingFileEventReader.Builder` | `fileNameHeader(String fileNameHeader)`
    `ReliableSpoolingFileEventReader.Builder` | `ignorePattern(String ignorePattern)`
    `ReliableSpoolingFileEventReader.Builder` | `includePattern(String includePattern)`
    `ReliableSpoolingFileEventReader.Builder` | `inputCharset(String inputCharset)`
    `ReliableSpoolingFileEventReader.Builder` | `recursiveDirectorySearch(boolean recursiveDirectorySearch)`
    `ReliableSpoolingFileEventReader.Builder` | `spoolDirectory(File directory)`
    `ReliableSpoolingFileEventReader.Builder` | `trackerDirPath(String trackerDirPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReliableSpoolingFileEventReader.Builder

          public ReliableSpoolingFileEventReader.Builder()

  - ### Method Detail

    - #### spoolDirectory

          public ReliableSpoolingFileEventReader.Builder spoolDirectory(File directory)

    - #### completedSuffix

          public ReliableSpoolingFileEventReader.Builder completedSuffix(String completedSuffix)

    - #### includePattern

          public ReliableSpoolingFileEventReader.Builder includePattern(String includePattern)

    - #### ignorePattern

          public ReliableSpoolingFileEventReader.Builder ignorePattern(String ignorePattern)

    - #### trackerDirPath

          public ReliableSpoolingFileEventReader.Builder trackerDirPath(String trackerDirPath)

    - #### annotateFileName

          public ReliableSpoolingFileEventReader.Builder annotateFileName(Boolean annotateFileName)

    - #### fileNameHeader

          public ReliableSpoolingFileEventReader.Builder fileNameHeader(String fileNameHeader)

    - #### annotateBaseName

          public ReliableSpoolingFileEventReader.Builder annotateBaseName(Boolean annotateBaseName)

    - #### baseNameHeader

          public ReliableSpoolingFileEventReader.Builder baseNameHeader(String baseNameHeader)

    - #### deserializerType

          public ReliableSpoolingFileEventReader.Builder deserializerType(String deserializerType)

    - #### deserializerContext

          public ReliableSpoolingFileEventReader.Builder deserializerContext(Context deserializerContext)

    - #### deletePolicy

          public ReliableSpoolingFileEventReader.Builder deletePolicy(String deletePolicy)

    - #### inputCharset

          public ReliableSpoolingFileEventReader.Builder inputCharset(String inputCharset)

    - #### recursiveDirectorySearch

          public ReliableSpoolingFileEventReader.Builder recursiveDirectorySearch(boolean recursiveDirectorySearch)

    - #### decodeErrorPolicy

          public ReliableSpoolingFileEventReader.Builder decodeErrorPolicy(DecodeErrorPolicy decodeErrorPolicy)

    - #### consumeOrder

          public ReliableSpoolingFileEventReader.Builder consumeOrder(SpoolDirectorySourceConfigurationConstants.ConsumeOrder consumeOrder)

    - #### build

          public ReliableSpoolingFileEventReader build()
                                                throws IOException

      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.